Sign Typed Data

/v2/app/sign/typedData

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Using this API developers can self sign custom contracts.

This API is compliant with the latest EIP-712 spec. and is a drop in replacement for Metamask's signTypedData_v4 API.

{
     "reason": "Submit Bid on My Amazing dApp",
     "data": {
            "types": {
                "EIP712Domain": [
                    {
                        "name": "name",
                        "type": "string"
                    },
                    {
                        "name": "version",
                        "type": "string"
                    },
                    {
                        "name": "chainId",
                        "type": "uint256"
                    },
                    {
                        "name": "verifyingContract",
                        "type": "address"
                    },
                    {
                        "name": "salt",
                        "type": "bytes32"
                    }
                ],
                "Bid": [
                    {
                        "name": "amount",
                        "type": "uint256"
                    },
                    {
                        "name": "bidder",
                        "type": "Identity"
                    }
                ],
                "Identity": [
                    {
                        "name": "userId",
                        "type": "uint256"
                    },
                    {
                        "name": "wallet",
                        "type": "address"
                    }
                ]
            },
            "domain": {
                "name": "My amazing dApp",
                "version": "2",
                "chainId": 1,
                "verifyingContract": "0x1C56346CD2A2Bf3202F771f50d3D14a367B48070",
                "salt": "0xf2d857f4a3edcb9b78b4d503bfe733db1e3f6cdc2b7971ee739626c97e86a558"
            },
            "primaryType": "Bid",
            "message": {
                "amount": 100,
                "bidder": {
                    "userId": 323,
                    "wallet": "0x3333333333333333333333333333333333333333"
                }
            }
     }
}
{
  "status": "SUCCESS",
  "signature": "0x23822278aeb03a90c3ae92304ef5f0c652d1300836bdd52827c7fb227ccb3e465aba54dffbf59c61a84e96cc0ff3db9e257e07068c54543af94db96798c6e7d31c",
  "r": "0x23822278aeb03a90c3ae92304ef5f0c652d1300836bdd52827c7fb227ccb3e46",
  "s": "0x5aba54dffbf59c61a84e96cc0ff3db9e257e07068c54543af94db96798c6e7d3",
  "v": "0x1c"
}
/**
Signature is a hex encoded 65 byte array starting with 0x.
It encodes the r, s and v parameters from appendix F of the yellow paper in big-endian format.
Bytes 0…32 contain the r parameter, bytes 32…64 the s parameter and the last byte the v parameter.
Note that the v parameter includes the chain id as specified in EIP-155.
**/
🚧

Api Error Status

You can find error status returned by the api here.

© Copyright 2024, Passbird Research Inc.

Body Params
json
required

typed data field as specified by EIP-712

string
required

The human readable explanation for this transaction. Useful for presenting to the user as an extra information ex: "Swap wBTC to USDC", and for auditing purposes.

Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json